
<app-header></app-header>
<mat-divider></mat-divider>
<table>
    <ng-container matColumnDef="position">
        <tr>
            <td>
                <div>
                    <ng-select [(ngModel)]="selectedValue" (change)="getTopNValues()" placeholder="Select Top N states"
                        class="ng-select-container ng-has-value">
                        <ng-option *ngFor="let number of numbers" [value]="number">{{number}}</ng-option>
                    </ng-select>
                </div>
            </td>
            <td>
                <ng-select [(ngModel)]="selectedState" (change)="getSelectedState()" placeholder="Select state name"
                        class="ng-select-container ng-has-value">
                        <ng-option *ngFor="let state of satates" [value]="state">{{state.name}}</ng-option>
                    </ng-select>
                <!-- <div class="ng-autocomplete">
                    <ng-autocomplete [data]="satates" [searchKeyword]="keyword" placeholder="Enter the State Name"
                        (inputChanged)='onChangeSearch($event)' (selected)='selectEvent($event)' historyIdentifier="states" [itemTemplate]="itemTemplate"
                        [notFoundTemplate]="notFoundTemplate">
                    </ng-autocomplete>

                    <ng-template #itemTemplate let-item>
                        <a [innerHTML]="item.name"></a>
                    </ng-template>

                    <ng-template #notFoundTemplate let-notFound>
                        <div [innerHTML]="notFound"></div>
                    </ng-template>
                </div> -->
            </td>
        </tr>
    </ng-container>
</table>
<div>

    <google-map #myGoogleMap height="500px" width="100%" [zoom]="zoom" [center]="center" [options]="options"
        (mapClick)="eventHandler($event,'mapClick')" (mapDblclick)="eventHandler($event,'mapDblclick')"
        (mapDrag)="eventHandler($event,'mapDrag')" (mapDragend)="eventHandler($event,'mapDragend')"
        (mapRightclick)="eventHandler($event,'mapRightclick')"
        (positionChanged)="eventHandler($event,'marker_positionChanged')"
        (zoomChanged)="eventHandler($event,'zoomChanged')">
        <map-marker #markerElem="mapMarker" *ngFor="let marker of markers" [position]="marker.position"
            [label]="marker.label" [title]="marker.title" [options]="marker.options"
            (mapClick)="openInfo(markerElem, marker.info)">
        </map-marker>

        <map-info-window>
        <label><h4>State Name : {{stateInfo}}</h4></label>
        <label><h5>Total Generation : {{totalGen}}</h5></label>
        <label><h5>Total Generation Percent: {{totalGenPercent}}</h5></label>
        </map-info-window>
    </google-map>

</div>



<!-- <div>

    <mat-form-field>
        <mat-label>Select State</mat-label>
        <mat-select [(ngModel)]="selectedValue" name="state">
            <mat-option *ngFor="let state of states" [value]="state.name">
                {{state.name}}
            </mat-option>
        </mat-select>
    </mat-form-field>


</div> -->